# Step 3 - \[ESX] Changes

{% hint style="info" %}
Download [esx\_context](https://github.com/esx-framework/esx_core/tree/main/%5Bcore%5D/esx_context)
{% endhint %}

{% hint style="danger" %}
For older ESX versions, you need to change some things in esx\_context. If you have no idea what to do, join my Discord and open a support ticket. I'll help you.
{% endhint %}

Next, you need to check if your "users" table has an column named "last\_seen".\
If not, insert this SQL.

{% code lineNumbers="true" %}

```sql
ALTER TABLE users
ADD `last_seen` timestamp NULL DEFAULT current_timestamp() ON UPDATE current_timestamp();
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gpscripts.dev/tax-system/installation/step-3-esx-changes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
